Summary: SELinux tools for managing policy
Name: setools
Version: 2.1.2
Release: 3
License: GPL
Group: System Environment/Base
Source: http://www.tresys.com/Downloads/selinux-tools/setools-%{version}.tar.bz2
Source1: setools.pam
Source2: apol.console
Source3: seuserx.console
Source4: seaudit.console
Source5: apol.desktop
Source6: seuserx.desktop
Source7: seaudit.desktop
Source8: sediffx.console
Source9: sediffx.desktop
Source10: sepcut.console
Source11: sepcut.desktop

Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: checkpolicy, policycoreutils, tcl >= 8.3
Buildrequires: tk-devel >= 8.3, tcl-devel >= 8.3
BuildRequires: gtk2-devel, libglade2-devel
BuildRequires: libselinux-devel, libxml2-devel
BuildRequires: libcap-devel
BuildPrereq: bison, flex, pkgconfig

Patch0: setools-rhat.patch

%description
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add mandatory access 
controls to Linux.  The Security-enhanced Linux kernel contains new 
architectural components originally developed to improve the security of the Flask 
operating system. These architectural components provide general support for the 
enforcement of many kinds of mandatory access control policies, including those 
based on the concepts of Type Enforcement, Role-based Access Control, and 
Multi-level Security.

The tools and libraries in this release include:

1. seuser: A GUI and command line user manager tool for SELinux.  This 
is a tool that actually manages a portion of a running policy (i.e., 
user accounts).  

2. seuser scripts: A set of shell scripts: seuseradd, seusermod, and 
seuserdel.  These scripts combine the functions of the associated s* 
commands with seuser to provide a single interface to manage users in 
SE Linux.

3. libapol: The main policy.conf analysis library, which is the core 
library for all our tools.

See the help files for apol, sepcut, and seuser for help on using the 
tools.

%package gui
Summary: Graphical tools for handling SETools
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}
Requires: tk >= 8.3, libglade2

%description gui
Security-enhanced Linux is a patch of the Linux kernel and a number of
utilities with enhanced security functionality designed to add mandatory access 
controls to Linux.  The Security-enhanced Linux kernel contains new 
architectural components originally developed to improve the security of the Flask 
operating system. These architectural components provide general support for the 
enforcement of many kinds of mandatory access control policies, including those 
based on the concepts of Type Enforcement, Role-based Access Control, and 
Multi-level Security.

The tools and libraries in this release include:

1. apol: The GUI-based policy analysis tool.

2. sepcut: A basic GUI-based policy configuration, browsing, 
editing, and testing tool. This tool is intended to provide a 
complete, single user interface for viewing the source files of a 
policy, configuring policy program modules, editing policy files, and 
making and testing the policy.

3. awish: A version of the TCL/TK wish interpreter that includes the 
setools libraries.  We use this to test our GUIs (apol and seuser have the 
interpreter compiled within them).  One could conceivably write one's own 
GUI tools using TCL/TK as extended via awish.

See the help files for apol, sepcut, and seuser for help on using the 
tools.

%prep
%setup -q
%patch0 -p1 -b .rhat
	
%build
make LIBDIR=%{_libdir} all 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT%{_includedir}/selinux/apol
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/setools-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/tcl8.4
make DESTDIR="${RPM_BUILD_ROOT}" INSTALL_HELPDIR=$RPM_BUILD_ROOT/usr/share/doc/setools-%{version} LIBDIR=%{_libdir} install install-bwidget
rm -f ${RPM_BUILD_ROOT}/etc/selinux/strict/src/policy/domains/program/seuser.te
rm -f ${RPM_BUILD_ROOT}/etc/selinux/strict/src/policy/file_contexts/program/seuser.fc
rm -f ${RPM_BUILD_ROOT}/usr/bin/findcon
rm -f ${RPM_BUILD_ROOT}/usr/bin/replcon
rm -f ${RPM_BUILD_ROOT}/usr/bin/searchcon
rm -f ${RPM_BUILD_ROOT}/usr/bin/indexcon
install -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/apol
install -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/seuserx
install -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/seaudit
install -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/sediffx
install -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/sepcut
install -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/apol
install -D %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/seuserx
install -D %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/seaudit
install -D %{SOURCE8} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/sediffx
install -D %{SOURCE10} ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/sepcut
install -D %{SOURCE5} ${RPM_BUILD_ROOT}%{_datadir}/applications/apol.desktop
install -D %{SOURCE6} ${RPM_BUILD_ROOT}%{_datadir}/applications/seuserx.desktop
install -D %{SOURCE7} ${RPM_BUILD_ROOT}%{_datadir}/applications/seaudit.desktop
install -D %{SOURCE9} ${RPM_BUILD_ROOT}%{_datadir}/applications/sediffx.desktop
install -D %{SOURCE11} ${RPM_BUILD_ROOT}%{_datadir}/applications/sepcut.desktop
cd $RPM_BUILD_ROOT/%{_bindir}/
ln -sf consolehelper apol 
ln -sf consolehelper seuserx
ln -sf consolehelper seaudit
ln -sf consolehelper sepcut
ln -sf consolehelper sediffx
ln -sf consolehelper sepcut

%clean
rm -rf ${RPM_BUILD_ROOT}

%files gui
%defattr(-,root,root)
%dir /usr/share/tcl8.4/BWidget-1.4.1
/usr/share/tcl8.4/BWidget-1.4.1/*
%{_bindir}/apol
%{_sbindir}/apol
%{_bindir}/seuserx
%{_sbindir}/seuserx
%{_bindir}/sediff
%{_bindir}/sediffx
%{_sbindir}/sediffx
%{_bindir}/awish
%{_bindir}/seaudit
%{_sbindir}/seaudit
%{_sbindir}/seaudit-report
%{_bindir}/sepcut
%{_sbindir}/sepcut
%{_datadir}/applications/apol.desktop
%{_datadir}/applications/seuserx.desktop
%{_datadir}/applications/seaudit.desktop
%{_datadir}/applications/sediffx.desktop
%{_datadir}/applications/sepcut.desktop
%config %{_sysconfdir}/pam.d/apol
%config %{_sysconfdir}/pam.d/seuserx
%config %{_sysconfdir}/pam.d/seaudit
%config %{_sysconfdir}/pam.d/sediffx
%config %{_sysconfdir}/pam.d/sepcut
%config %{_sysconfdir}/security/console.apps/apol
%config %{_sysconfdir}/security/console.apps/seuserx
%config %{_sysconfdir}/security/console.apps/seaudit
%config %{_sysconfdir}/security/console.apps/sediffx
%config %{_sysconfdir}/security/console.apps/sepcut

%package devel
Summary: Development environment for SETools
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description devel
Headers, static libraries and API docs for SETools.

%files devel
%defattr(-,root,root)
%{_includedir}/setools
%{_libdir}/lib*

%files
%defattr(-,root,root)
%{_bindir}/seuser
%{_bindir}/seuseradd
%{_bindir}/seuserdel
%{_bindir}/seusermod
%{_bindir}/seinfo
%{_bindir}/sesearch
%dir /usr/share/setools
/usr/share/setools/*
%dir /usr/share/doc/setools-%{version}
/usr/share/doc/setools-%{version}/*

%changelog
* Mon Oct 10 2005 Tomas Mraz <tmraz@redhat.com> 2.1.2-3
- use include instead of pam_stack in pam config

* Thu Sep 1 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-2
- Fix spec file
 
* Thu Sep 1 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-1
- Upgrade to upstream version
 
* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- do not package debug files into the -devel package

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 2.1.1-3
- rebuild against new cairo

* Wed May 25 2005 Dan Walsh <dwalsh@redhat.com> 2.1.1-0
- Upgrade to upstream version

* Mon May 23 2005 Bill Nottingham <notting@redhat.com> 2.1.0-5
- put libraries in the right place (also puts debuginfo in the right
  package)
- add %%defattr for -devel too

* Thu May 12 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-4
- Move sepcut to gui apps.

* Fri May 6 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-3
- Fix Missing return code.

* Wed Apr 20 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-2
- Fix requires line

* Tue Apr 19 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-1
- Update to latest from tresys

* Tue Apr 5 2005 Dan Walsh <dwalsh@redhat.com> 2.0.0-2
- Fix buildrequires lines in spec file

* Tue Mar 2 2005 Dan Walsh <dwalsh@redhat.com> 2.0.0-1
- Update to latest from tresys

* Mon Nov 29 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-6
- add FALLBACK=true to /etc/security/console.apps/apol

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-3
- Add badtcl patch from Tresys.

* Mon Nov 8 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-2
- Apply malloc problem patch provided by  Sami Farin 

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-1
- Update to latest from Upstream

* Wed Oct 6 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-5
- Update tresys patch

* Mon Oct 4 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-4
- Fix directory ownership

* Thu Jul 8 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-1
- Latest from Tresys

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1.4-5
- Add build requires libselinux

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1.4-4
- Add support for policy.18

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1.4-2
- Fix install locations of policy_src_dir

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.4-1
- Update to latest from TRESYS.

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.3-3
- Make changes to work with targeted/strict policy
* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-2
- Take out requirement for policy file

* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-1
- Fix doc location

* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-1
- Latest from TRESYS

* Tue Apr 13 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-8
- fix location of policy.conf file

* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-7
- Obsolete setools-devel
* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-6
- Fix location of 
* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-5
- Remove devel libraries
- Fix installdir for lib64

* Sat Apr 3 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-4
- Add usr_t file read to policy

* Thu Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-3
- Use tcl8.4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-1
- New patch

* Fri Feb 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2-1
- Latest upstream version

* Tue Dec 30 2003 Dan Walsh <dwalsh@redhat.com> 1.1.1-1
- New version from upstream
- Remove seuser.te.  Now in policy file.

* Tue Dec 30 2003 Dan Walsh <dwalsh@redhat.com> 1.1-2
- Add Defattr to devel
- move libs to base kit

* Fri Dec 19 2003 Dan Walsh <dwalsh@redhat.com> 1.1-1
- Update to latest code from tresys
- Break into three separate packages for cmdline, devel and gui
- Incorporate the tcl patch

* Mon Dec 15 2003 Jens Petersen <petersen@redhat.com> - 1.0.1-3
- apply setools-1.0.1-tcltk.patch to build against tcl/tk 8.4
- buildrequire tk-devel

* Thu Nov 20 2003 Dan Walsh <dwalsh@redhat.com> 1.0.1-2
- Add Bwidgets to this RPM

* Tue Nov 4 2003 Dan Walsh <dwalsh@redhat.com> 1.0.1-1
- Upgrade to 1.0.1

* Wed Oct 15 2003 Dan Walsh <dwalsh@redhat.com> 1.0-6
- Clean up build

* Tue Oct 14 2003 Dan Walsh <dwalsh@redhat.com> 1.0-5
- Update with correct seuser.te

* Wed Oct 1 2003 Dan Walsh <dwalsh@redhat.com> 1.0-4
- Update with final release from Tresys

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version




